﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SilverlightApplication75
{
    public class ViewModel : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion

        private ObservableCollection<Color> colors;
        public ObservableCollection<Color> Colors
        {
            get
            {
                return this.colors;
            }
            set
            {
                if (this.colors != value)
                {
                    this.colors = value;
                    this.OnPropertyChanged("Colors");
                }
            }
        }

        public ViewModel()
        {
            this.CreateAvailableColors();
        }

        private void CreateAvailableColors()
        {
            this.colors = new ObservableCollection<Color>();
            this.colors.Add(new Color
            {
                ID = 0,
                ColorName = "Red"
            });
            this.colors.Add(new Color
            {
                ID = 1,
                ColorName = "Green"
            });
            this.colors.Add(new Color
            {
                ID = 2,
                ColorName = "Blue"
            });
        }
    }
}
